﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing.Design;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PokTiles
{
    public enum ActionType
    {
        None,
        Demage,
        MoveLeftRight,
        MoveUpDown,
        Toogle,
        SwitchOn,
        SwitchOff,
        SpawEnemy,
    }


    [Serializable]
    [Editor(typeof(ActionEditor), typeof(UITypeEditor))]
    [TypeConverter(typeof(SerializableExpandableObjectConverter))]
    public class ActionSprite
    {
        public string Name { get; set; }
        public ActionType actionType;
        public int Parameter;


        public ActionSprite(String Name)
        {
            this.Name = Name;
        }
    }
}
