﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PokTiles
{
    public partial class FormActionEditor : Form
    {

        public ActionSprite Action { get; internal set; }

        public FormActionEditor()
        {
            InitializeComponent();

        }

        private void FormAnimationEditor_Load(object sender, EventArgs e)
        {
            cbAction.Items.AddRange(Enum.GetNames(typeof(ActionType)));
            BindData();
        }

        private void BindData()
        {
            //Reload data
            tbName.Text = Action.Name;
            cbAction.SelectedIndex = cbAction.Items.IndexOf(Action.actionType.ToString());
            numActionParameter.Value = Action.Parameter;


        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            UnbindData();
            DialogResult = DialogResult.OK;
            Close();
        }

        private void UnbindData()
        {
            Action.Name = tbName.Text;
            Action.actionType = (ActionType)Enum.Parse(typeof(ActionType), cbAction.SelectedItem.ToString());
            Action.Parameter = (int)numActionParameter.Value;
        }


    }
}
