﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;

namespace PokTiles
{
    public class SerializableExpandableObjectConverter : ExpandableObjectConverter
    {

        public override bool CanConvertTo(System.ComponentModel.ITypeDescriptorContext context, System.Type destinationType)
        {
            if ((destinationType == typeof(string)))
            {
                return false;
            }
            else
            {
                return base.CanConvertTo(context, destinationType);
            }
        }

        public override bool CanConvertFrom(System.ComponentModel.ITypeDescriptorContext context, System.Type sourceType)
        {
            if ((sourceType == typeof(string)))
            {
                return false;
            }
            else
            {
                return base.CanConvertFrom(context, sourceType);
            }

        }
    }
}
